<?php



class ObjetosGastoMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ObjetosGastoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('OBJETOS_GASTO');
		$tMap->setPhpName('ObjetosGasto');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('ANO_FISCAL', 'AnoFiscal', 'string', CreoleTypes::VARCHAR, false, 4);

		$tMap->addColumn('CODIGO', 'Codigo', 'string', CreoleTypes::VARCHAR, false, 20);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('ABREVIATURA', 'Abreviatura', 'string', CreoleTypes::VARCHAR, false, 20);

                $tMap->addColumn('COMISION', 'Comision', 'double', CreoleTypes::NUMERIC, false, 20);

	} 
} 